BatchGetSymbols -> GetSP500Stocks() -> 错误。表的列数不一致。你想要fill = TRUE吗?

我一直在用R包BatchGetSymbols工作,平时工作效果还不错。 今天,我的工作流程在GetSP500Stocks()函数上失败了,出现了 “Error: 表的列数不一致。你是否要fill = TRUE?”。

从今天开始,还有人看到这种情况吗?

install.packages("BatchGetSymbols")

library(BatchGetSymbols)

df.SP500 <- GetSP500Stocks()

GetSP500Stocks() Error: 表的列数不一致。你想要fill = TRUE吗?

解决方案:

作者在此。这是wikipedia中HTML表格的一个问题。我刚刚在github中修复了它,它应该很快就会被放到CRAN中。试试这个。

devtools::install_github('msperlin/BatchGetSymbols')

library(BatchGetSymbols)

df.SP500 <- GetSP500Stocks()

顺便说一句,下次在这里发个问题吧 github 我会解决它。

最好的。

给TA打赏
共{{data.count}}人
人已打赏
未分类

如何在每次加载时改变背景图片

2022-9-8 6:36:37

未分类

IdentityServer 4: 客户端无效的授权类型:authorization_code。

2022-9-8 6:36:41

0 条回复 A文章作者 M管理员
    暂无讨论,说说你的看法吧
个人中心
购物车
优惠劵
今日签到
有新私信 私信列表
搜索